> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Products

Returns a map of Product names to Product objects for an Entity.

## Path Parameters

## Returns

Returns a map of Product names to Product objects.

```bash cURL theme={null}
curl "https://production.methodfi.com/entities/ent_TYHMaRJUUeJ7U/products" \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const response = await method
  .entities('ent_TYHMaRJUUeJ7U')
  .products
  .list();
```

```python Python theme={null}
response = method
  .entities('ent_TYHMaRJUUeJ7U')
  .products
  .list()
```

```json THE PRODUCT OBJECT theme={null}
{
  "connect": {
    "name": "connect",
    "status": "unavailable",
    "status_error": {
        "type": "INVALID_REQUEST",
        "sub_type": "ACCOUNT_CONSENT_UNAVAILABLE",
        "message": "Account consent for your organization is unavailable."
    },
    "latest_request_id": null,
    "latest_successful_request_id": null,
    "is_subscribable": true,
    "created_at": "2024-04-12T00:09:07.521Z",
    "updated_at": "2024-04-12T00:09:07.532Z"
  },
  "credit_score": {
    "name": "credit_score",
    "status": "available",
    "status_error": null,
    "latest_request_id": null,
    "latest_successful_request_id": null,
    "is_subscribable": true,
    "created_at": "2024-04-12T00:09:07.522Z",
    "updated_at": "2024-04-12T00:09:09.088Z"
  },
  "identity": {
    "name": "identity",
    "status": "restricted",
    "status_error": {
        "type": "INVALID_REQUEST",
        "sub_type": "TEAM_CAPABILITY_RESTRICTED",
        "message": "Team access is not available. Reach out to the Method team to learn more."
    },
    "latest_request_id": null,
    "latest_successful_request_id": null,
    "is_subscribable": true,
    "created_at": "2024-04-12T00:09:07.522Z",
    "updated_at": "2024-04-12T00:09:09.088Z"
  },
  "attribute": {
    "name": "attribute",
    "status": "restricted",
    "status_error": {
        "type": "INVALID_REQUEST",
        "sub_type": "PRODUCT_RESTRICTED_CONNECT_REQUIRED",
        "message": "Entity must have a completed Connect record to access this product."
    },
    "latest_request_id": null,
    "latest_successful_request_id": null,
    "is_subscribable": false,
    "created_at": "2024-09-10T02:18:06.405Z",
    "updated_at": "2024-09-10T02:18:06.430Z"
  },
  "vehicle": {
    "name": "vehicle",
    "status": "restricted",
    "status_error": {
        "type": "INVALID_REQUEST",
        "sub_type": "PRODUCT_RESTRICTED_CONNECT_REQUIRED",
        "message": "Entity must have a completed Connect record to access this product."
    },
    "latest_request_id": null,
    "latest_successful_request_id": null,
    "is_subscribable": false,
    "created_at": "2024-04-12T00:09:07.523Z",
    "updated_at": "2024-04-12T00:09:07.534Z"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.